Forum Linux.mandriva Firefox n'imprime pas

Posté par .
Tags : aucun
0
29
oct.
2010
Bonjour,
Je suis sous Mandriva 2010. Mon Firefox-3.6.12 n'imprime pas. En fait il plante à chaque fois que j'appelle le commande d'impression. J'avais le même problème avec Firefox-3.6.10. C'est pour cela que j'ai passé à la dernière version.
Impossible de voir le menu d'impression tout ferme. Au redémarrage j'ai une fenêtre de Ferefox s'excusant sans m'offrir de solution. J'ai lu quelque part de faire en console un strace firefox. C'est bien beau cela me donne 458 ligne de message, mais je n'y comprends rien.

Note: j'ai aucun autre problème d'impression dans les autres applications.

Quelqu'un peu m'aider?

Merci
  • # Hmm

    Posté par (page perso) . Évalué à 3.

    $ GTK2_RC_FILES= firefox
    • [^] # Re: Hmm

      Posté par . Évalué à 1.

      Bonjour,
      J'ai démarré firefox comme suggéré.
      GTK2_RC_FILES= firefox

      Du moment que j'ai fait appel à la commande Imprimer... Eh bien, firefox s'est fermé comme une huitre.

      Au redémarrage aucune allusion à rien.

      Merci de l'intérêt porté à mon problème.


      François
  • # ca me rapelle une pub pour IBM

    Posté par (page perso) . Évalué à 3.

    Petit rappel pour les jeunes : (12 ans déjà ...)

    [http://monq.biz/article-2507-Publicite++Ca+n_imprime+pas+_+I(...)]

    sinon la bonne vielle ligne de commande ça donne quoi ?
    ( sous entendu est-ce que cela imprime en dehors de firefox ?)

    * lpr /etc/hosts
    * lpstat -t
    • [^] # Re: ca me rapelle une pub pour IBM

      Posté par . Évalué à 1.

      sinon la bonne vielle ligne de commande ça donne quoi ?
      ( sous entendu est-ce que cela imprime en dehors de firefox ?)

      * lpr /etc/hosts
      à imprimé une page contenant:
      # generated by drakconnect
      127.0.0.1 localhost

      * lpstat -t
      à retourné:
      le programmateur s’exécute
      destination système par défaut : Photosmart-D5060-series
      périphérique pour Photosmart-D5060-series : hp:/usb/Photosmart_D5060_series?serial=MY673141MD04RK
      Photosmart-D5060-series acceptant des requêtes depuis ven 29 oct 2010 11:38:51 CDT
      l’imprimante Photosmart-D5060-series est en cours d’impression Photosmart-D5060-series-0 (activée depuis ven 29 oct 2010 11:38:51 CDT)
      Processing page 2...
      Photosmart-D5060-series-40 guayf 1024 ven 29 oct 2010 11:38:51 CDT

      Voilà
      Merci
  • # normal...

    Posté par . Évalué à 5.

    Mon Firefox-3.6.12 n'imprime pas
    normal, c'est le rôle de l'imprimante.

    je sors ---> [ ]
    ah non, c'est vendredi, je vais rester encore un peu alors :-)
    • [^] # Re: normal...

      Posté par . Évalué à 2.

      Bonjour,
      Et merci de m'aider. J'ai testé la commande suggérée mais sans résultat:

      echo '16i[q]sa[ln0=aln100%Pln100/snlbx]sbA0D4D465452snlbxq'|dc
      bash: dc : commande introuvable

      Je n'ai pas la commande dc
      J'ai essayé en root au cas ou. Sans plus de résultat.

      Merci
      François
      • [^] # Re: normal...

        Posté par . Évalué à 3.

        Bonsoir,

        La ligne de commande de moudj fait partie de sa signature, ce n'était pas une suggestion (ca affiche RTFM).

        Mais surtout, méfiez-vous et évitez d'essayer en root une ligne de commande trouvée sur Internet sans la comprendre un minimum, au risque de mauvaises surprises.

        Bien à vous :)

        Marc

  • # Contournement

    Posté par (page perso) . Évalué à 2.

    Un aussi gros bug a probablement déjà été remonté dans http://qa.mandriva.com , le correctif devrait venir sous peu.

    En attendant, une suggestion de contournement : imprimer dans un PDF, puis imprimer le PDF. Ou utiliser un autre navigateur.

    ⚓ À g'Auch TOUTE! http://afdgauch.online.fr

    • [^] # Re: Contournement

      Posté par . Évalué à 1.

      Bonjour,
      Merci pour le conseil. Je suis allé sur http://qa.mandriva.com et j'ai trouvé. Le Bug est connu: Bug 61212 - Firefox crashes when printing.

      Same problem with cups version 1.4.4-2mdv2010.0.x86_64 from backports.
      Downgrading to cups version 1.4.1-12.1mdv2010.0.x86_64 solves the problem.

      Packages causing crash:
      lib64cups2-1.4.4-2mdv2010.0.x86_64
      cups-common-1.4.4-2mdv2010.0.x86_64

      Packages working (not causing crash):
      lib64cups2-1.4.1-12.1mdv2010.0.x86_64
      cups-common-1.4.1-12.1mdv2010.0.x86_64

      Ma version de CUPS:
      Version : 1.4.4-2mdv2010.1
      Version actuellement installée : 1.4.4-2mdv2010.1
      Groupe : Système/Impression
      Architecture : i586
      Taille : 7642 Ko

      Question: Comment passer à un paquetage inférieur si il n'est pas fourni dans ma distribution?
      Merci
      • [^] # Re: Contournement

        Posté par . Évalué à 1.

        Bonjour,
        Je me réponds moi-même. C'est idiot, je n'y ai pas trop réfléchi. J'ai trouvé. Ce que je ne sais pas c'est le risque d'enlever un paquetage qui est configuré pour partager une imprimante avec une station Windows. Les paramètres ne vont sûrement pas rester là et reprendre le tout comme avant, avec une version antérieure.

        Pour cela c'est vrai que j'ai besoin de bonnes pistes.

        Merci à l'avance.

        François

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.